from model.model import Model
import sys
import model.base_inputs as base_inputs
import plot.single as plt_baseline
import code
import time
import pickle
import numpy as np
import pandas as pd


st1 = time.time()

inputs = base_inputs.compile()

## change any params
inputs['model']['T'] = 20 # have 20 years of climate data
inputs['model']['n_agents'] = 200
inputs['model']['site'] = 'OR1'
inputs['model']['treat'] = 'Treatment'
inputs['model']['lsla_experiment'] = True # for both baseline (Control) and LSLA (Treatment) experiments
inputs['model']['matching_experiment'] = True # ie modeling treatment site only
inputs['model']['hh_lulc_data'] = 'LULC' # LULC or survey
inputs['model']['commons_iLUC'] = False
inputs['model']['use_weights'] = False
inputs['model']['exp_name'] = 'test/{}_{}'.format(inputs['model']['site'], inputs['model']['treat'])


## load inputs from EAGA
exp = 'for_ERL'
fn = '../outputs/{}/pkls_final/best_SP0.pkl'.format(exp)
inp_pkl = pickle.load(open(fn, 'rb'))
for k, v in inp_pkl.items():
    for k2, v2 in v.items():
        inputs[k][k2] = v2

# run the model
print('running model...')
m = Model(inputs)
for t in range(m.T):
    m.step()

# plot
# print('plotting...')
# plt_baseline.main(m)

sys.exit()
# code.interact(local=dict(globals(), **locals()))