# Agent-based model for large-scale land acquisitions and smallholder livelihoods

## Model overview and description
A complete ODD+D protocol is included within the publication.

## This repository
This repository contains a subset of the code used to generate all outputs for the main body of the article and supplemental material.
It contains: (1) the baseline model code (python files); (2) the code used to generate the plots in the main body of the article (jupyter notebook).
Full code for model calibration, validation, and convergence analysis can be provided upon request.

## Code structure
The code is divided into several folders:

`model/` contains all the model code. All baseline model inputs are in the `base_inputs.py` file within this folder. Note that some inputs are modified by the model calibration procedure. The main model file is called `model.py`.

`analysis/` contains code for running various experiments (e.g., scenario analysis, sensitivity analysis).
For peer review, only the code for creating the plots in the main body of the manuscript will be uploaded to the online repository.

Requirements:
- Python >=3.6
- Create a folder called `code/` for the code and a folder called `outputs/` for the outputs to be stored.
- Inputs (included in this repository). Create a folder called `inputs/`.
- Install required python packages using: `pip install -r requirements.txt`
(Note: it is recommended to do this within a "virtual environment", which can be created using `pip install virtualenv` and then `virtualenv venv`, then `source venv/bin/activate` (max/linux) or `venv/Scripts/activate` (windows))

## Conduct main experiments
The file `analysis/main_experiments.ipynb` is a Jupyter notebook containing code for generating the plots in the main body of the article,
as well as several supplemental figures.
